* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
a {
  text-decoration: none;
  color: #fff;
}

:root {
  --bg-pale: #f0f4f0;
  --bg-light: #ffffff;
}

html,
body {
  overflow-x: hidden;
}

body {
  background-color: #000000;
  color: rgba(255, 255, 255, 0.9);
  font-family: "Inter", sans-serif;
}

button {
  font-family: "Inter", sans-serif;
}

header {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 32px 8%;
  position: absolute;
  z-index: 99;

  nav,
  .menu {
    flex: 1;
    display: flex;
    justify-content: flex-end;

    .menu_closer {
      display: none;
    }
  }
  nav {
    align-items: center;
    height: 100px;
    display: block;
  }
  .menu ul,
  .menu li {
    list-style: none;
  }
  .menu ul {
    display: flex;
  }
  .menu li {
    padding: 0 10px;
  }
  .menu li a {
    color: #fff;
    text-transform: uppercase;
    text-decoration: none;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 0;
    transition: 0.3s;
  }

  .menu li a:hover,
  .menu .active a {
    color: rgb(0, 0, 0);
    /* font-weight: 600; */
  }
  .drop a .active1:hover {
    color: rgb(255, 255, 255);
    /* font-weight: 600; */
  }

  .menu_opener {
    display: none;
  }

  .logo {
    width: 240px;
    margin-left: -30px;
    background-image: url(../img/logo60AlturaSlogan.png);
    background-repeat: no-repeat;
    height: 70px;
  }

  div {
    display: flex;
    justify-content: end;
    gap: 24px;
  }
}

.drop {
  display: block;
  margin-top: -40px;
  margin-left: -10px;
  background-color: rgba(0, 0, 0, 0.4);
  border-radius: 5px;
}

.drop-hover {
  position: relative;
}

.setaBaixo {
  background-image: url(../img/caret-down-fill-white.png);
  width: 10px;
  height: 7px;
  margin-top: -3px;
  margin-left: 5px;
}

.active .setaBaixo {
  background-image: url(../img/caret-down-fill-black.png);
}

.drop-hover .drop {
  position: absolute;
  height: 0;
  width: 150px;
  overflow: hidden;
}

.drop-hover .drop a {
  margin-top: -40px;
  margin-bottom: -75px;
}

.drop-hover:hover .drop {
  height: 70px;
  margin-top: -40px;
  transition: 0.3s ease-out;
}
.inativo {
  font-weight: 600px;
  color: #fff;
}
.menu_opener {
  display: none;
}

button {
  border: none;
  outline: none;
  opacity: 0.8;
  transition: 0.3s all;
  cursor: pointer;

  &:hover {
    opacity: 1;
    transform: translateY(-2px);
  }
}

.titulo h1,
.titulo p {
  font-size: 1em;
  align-items: left;
  padding-bottom: 30px;
  margin-top: 150px;
  margin-left: 90px;
}

.slides {
  width: 100%;
  height: 106dvh;
  overflow: hidden;
  display: flex;
  position: relative;
}

.slide {
  width: 100%;
  height: 100%;
  justify-content: space-between;
  align-items: center;
  display: flex;
  padding-right: 4%;
  padding-bottom: 6vh;
  position: absolute;
  top: 0;
  left: 0;
  clip-path: circle(0% at 89% 50%);
  opacity: 0;
  transition:
    clip-path 0s 1s,
    opacity 0s 1s;

  .imgCirc {
    transition: transform 1s;
    transform: rotate(100deg);
  }

  p {
    opacity: 0;
    transition: opacity 0.6s 0.8s;
  }

  .botaoPrimario {
    opacity: 0;
    transform: translateY(20px);
    transition:
      opacity 0.6s 1s,
      transform 0.6s 1s;
    font-weight: 600px;
  }

  .imgNext {
    opacity: 0;
    transition: opacity 1s;
  }

  &.active {
    clip-path: circle(120% at 89% 50%);
    opacity: 1;
    transition:
      clip-path 1s 0s,
      opacity 0.1s 0s;
    z-index: 1;

    .imgCirc {
      transform: rotate(0);
    }

    p {
      opacity: 1;
    }

    .botaoPrimario {
      opacity: 1;

      transform: translateY(0px);
    }

    .imgNext {
      opacity: 1;
    }
  }
}

.conteudo {
  flex: 1;
  position: relative;
  margin: 0 6%;

  h2 {
    font-size: 5.1vw;
  }

  p {
    width: 70%;
  }
  .textoSlide-mob {
    display: none;
  }
}
.tituloSlide h2 {
  overflow: hidden;
}

.produtos {
  display: flex;
  img {
    width: 20vw;
    object-fit: contain;
    filter: drop-shadow(32px 46px 32px rgba(0, 0, 0, 0.35));

    &:nth-child(2) {
      scale: 0.8;
      transition: all 0.3s;
      cursor: pointer;

      &:hover {
        transform: translateY(-2px);
        scale: 0.82;
      }
    }
  }
}

/* .imgCirc {
  width: 38vw;
  margin-left: -20%;
  box-shadow: 4px 6px 4.3px 0 rgba(0, 0, 0, 0.15),
    12px 24px 40px 0 rgba(0, 0, 0, 0.15);
  border-radius: 50%;
} */

.navSlides {
  position: absolute;
  left: 40%;
  top: 62%;
  display: flex;
  width: 37.8%;
  justify-content: space-between;
  align-items: end;
  z-index: 9;
  padding-top: 40px;

  .botoesNav {
    display: flex;
    gap: 16px;
  }
  .botoesNav1 {
    display: none;
  }

  button {
    background-color: transparent;
  }

  .bullets {
    list-style-type: none;
    display: none;
    gap: 8px;
    padding-bottom: 12px;
    margin-left: 200px;
    margin-bottom: 20px;

    li {
      width: 24px;
      height: 8px;
      /* background-color: rgba(255, 255, 255, 0.5); */
      border-radius: 12px;
      opacity: 0.8;
      cursor: pointer;
      transition: all 0.3s;

      &:hover {
        opacity: 1;
      }

      &.active {
        background-color: rgb(0, 0, 0);
      }
    }
  }
}

.lalapepperFundo {
  position: absolute;
  width: 55vw;
  right: -18vw;
  bottom: -10vw;
  z-index: -1;
  opacity: 0.8;
}

.botaoPrimario {
  border-radius: 0.3vw;
  padding: 1.1vw 1.4vw;
  font-size: clamp(16px, 1.1vw, 1.1vw);
  background-color: rgba(255, 255, 255, 0.9);
  color: rgba(0, 0, 0, 0.85);
  font-weight: 500;
  border: 2px solid rgb(255, 255, 255);
  margin-top: 32px;
}

.slide:nth-child(1) {
  background: linear-gradient(100deg, #91b900 2.57%, #6c8a00 95.91%);
}

.slide:nth-child(2) {
  background: linear-gradient(100deg, #b19900 2.57%, #9c8700 95.91%);

  h2 {
    font-size: 4.8vw;
  }
}

.slide:nth-child(3) {
  background: linear-gradient(100deg, #d18400 2.57%, #9b6b1a 95.91%);

  h2 {
    font-size: 4vw;
  }
}

.slide:nth-child(4) {
  background: linear-gradient(100deg, #ec6969 2.57%, #c5566a 95.91%);

  h2 {
    font-size: 4.5vw;
  }
}

/* SEÇÃO 2 */

.secao2 {
  width: 100%;
  padding: 8% 8% 0;
  position: relative;
  z-index: 2;
  display: flex;
  flex-direction: column;
  gap: 4vw;
}

.linhaVetorial svg {
  position: absolute;
  width: 100vw;
  top: 16%;
  left: 0;
  height: auto;
}

.marquee {
  position: relative;
  width: 100%;
  height: 30vw;
  overflow: hidden;
  position: absolute;
  top: -15vw;
  left: 0;
}

.marquee-inner {
  position: relative;
  width: 100%;
  height: 100%;
  display: grid;
  grid-template: 1fr / 1fr;
}

.marquee-bg-svg {
  color: #ff0019;
  grid-area: 1/1;
  z-index: 0;
}

.marquee-text-svg {
  z-index: 1;
  grid-area: 1/1;
}

.marquee-text-svg text {
  fill: var(--bg-light);
  letter-spacing: -0.03em;
  text-transform: uppercase;
  font-size: 5rem;
  font-weight: 600;
  font-family: "Poppins", sans-serif;
  user-select: none;
}

.marquee-inner svg {
  backface-visibility: hidden;
}

.marquee-overlay {
  z-index: -1;
  background-color: #000000;
  clip-path: polygon(66% 40%, 100% 50%, 100% 100%, 0 100%, 0 50%);
  grid-area: 1/1;
  position: relative;
  bottom: 0px;
}

.etapa {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 9;
  gap: 4vw;

  img {
    width: 12vw;
  }

  .card {
    display: flex;
    flex-direction: column;
    position: relative;
    background-color: #91b900;
    width: 50%;
    border-radius: 4vw;
    padding: 1vw 2vw 3vw;

    .iconeCard {
      width: 7vw;
      margin-bottom: 1vw;
      position: absolute;
      right: 6%;
      top: -4%;
      /* filter: drop-shadow(3px 4px 1px rgba(0, 0, 0, 0.25)); */
    }

    .seta1 {
      position: absolute;
      width: 37vw;
      opacity: 0.7;
      right: -35%;
      top: -180%;
    }
    .seta2 {
      position: absolute;
      width: 17vw;
      opacity: 0.7;
      right: -10%;
      top: -85%;
    }
    .seta3 {
      position: absolute;
      width: 17vw;
      opacity: 0.7;
      right: -18%;
      top: -90%;
      transform: rotate(-8deg);
    }
    .seta4 {
      position: absolute;
      width: 20vw;
      opacity: 0.7;
      right: -12%;
      top: -105%;
      transform: rotate(10deg);
    }

    h2 {
      font-size: 7vw;
    }

    p {
      font-size: clamp(16px, 1.5vw, 1.5vw);
    }
  }

  &.abacaxi {
    .seta {
      transform: rotate(5deg);
    }

    .lataEtapa {
      transform: rotate(60deg);
    }
  }
  &.cupuacu {
    .seta {
      transform: rotate(90deg);
    }

    .lataEtapa {
      transform: rotate(40deg);
    }
  }

  &.abacaxi {
    .card {
      background-color: #94bd00;
    }
    .seta {
      right: 4%;
      top: 50%;
    }
    .lataEtapa {
      transform: rotate(-10deg);
    }
  }

  &.cupuacu {
    .card {
      background-color: #d6ba00;
    }
    .seta {
      right: 4%;
      top: 50%;
    }
    .lataEtapa {
      transform: rotate(-10deg);
    }
  }

  &.manga {
    .card {
      background-color: #b37100;
    }
    .seta {
      right: 4%;
      top: 50%;
    }
    .lataEtapa {
      transform: rotate(-10deg);
    }
  }

  &.goiaba {
    .card {
      background-color: #ec6969;
    }
    .seta {
      right: 3%;
      top: 36%;
      transform: rotate(140deg) scaleY(1);
    }
    .lataEtapa {
      transform: rotate(40deg);
    }
  }
}

.secao3 {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 4vw;
  background-color: #fff;
  color: rgba(0, 0, 0, 0.85);
  position: relative;
  z-index: 2;
  justify-content: center;
  align-items: center;
  overflow: hidden;

  .conteudoSec3 {
    padding: 8% 8% 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  h2 {
    font-size: 4vw;
    text-align: center;
  }
  .botaoSecao3 {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    img {
      width: 6vw;
      transform: rotate(70deg);
      position: absolute;
      left: -70%;
    }
    button {
      color: white;
      border: none;
    }
  }

  footer {
    .lalapepper {
      display: flex;
      flex-direction: column;
      align-items: center;
      margin-bottom: 2vw;
      flex: 1;

      .logotipo {
        display: flex;
        gap: 1vw;
        align-items: end;

        margin-bottom: 5vw;

        img {
          width: 16vw;
        }

        h3 {
          font-size: 1.4vw;
          margin-bottom: -0.3vw;
        }
        p {
          font-size: 1vw;
        }
        div {
          display: flex;
          flex-direction: column;
        }
      }
    }
  }
}

/* FOOTER */

.lalapepper img {
  margin-top: 5vw;
}

.botoes--footer,
.icones--footer {
  align-items: center;
  display: flex;
}

.icones--footer {
  margin-top: -20px;
}

.iconface a {
  height: 32px;
  width: 32px;
  margin-top: 20px;
  margin-left: 10px;
  float: left;
  background: url(../img/iconFace.png);
  transition: 0.2s ease;
}
.iconface a:hover {
  background-image: url(../img/iconFaceSelected.png);
}
.iconinsta a {
  height: 32px;
  width: 32px;
  margin-top: 20px;
  margin-left: 10px;
  float: left;
  background: url(../img/iconInst.png);
  transition: 0.2s ease;
}
.iconinsta a:hover {
  background-image: url(../img/iconInstaSelected.png);
}
.iconpinterest a {
  height: 32px;
  width: 32px;
  display: block;
  margin-top: 20px;
  margin-left: 10px;
  background: url(../img/iconPinterest.png);
  transition: 0.2s ease;
}
.iconpinterest a:hover {
  background-image: url(../img/iconPinterestSelected.png);
}
.icontiktok a {
  height: 32px;
  width: 32px;
  display: block;
  margin-top: 20px;
  margin-left: 10px;
  background: url(../img/iconTiktok.png);
  transition: 0.2s ease;
}
.icontiktok a:hover {
  background-image: url(../img/iconTiktokSelected.png);
}
.iconyoutube a {
  height: 32px;
  width: 45px;
  display: block;
  margin-top: 20px;
  margin-left: 10px;
  background: url(../img/iconYoutube.png);
  transition: 0.2s ease;
}
.iconyoutube a:hover {
  background-image: url(../img/iconYouTubeSelected.png);
}

.p_mob {
  display: none;
}

/* MEDIA QUERIES */

@media screen and (max-width: 950px) {
  .titulo {
    width: 95%;
    display: block;
    align-items: center;
    margin-left: 10px;
  }
  .titulo h1,
  .titulo p {
    font-size: 1.4em;
    padding-bottom: 30px;
    margin-top: 100px;
    margin-left: 10px;
    margin-right: 10px;
  }

  .vaicomtudo {
    font-size: 0.96em;
  }
  header {
    padding: 3%;
    .lupaUser {
      display: none;
    }

    .logo {
      background-image: url(../img/logo60Altura.png);
      width: 218px;
      height: 60px;
      margin-left: 0;
    }

    .nav-bar {
      display: none;
      position: absolute;
      z-index: 1;
      width: 60vw;
      height: calc(100vh - 635px);
      top: 70px;
      left: 180px;
      margin-right: 15px;
    }
    .menu {
      transition: 2s;
    }

    .menu ul {
      flex-direction: column;
      position: absolute;
      right: 30px;
      width: 200px;
      background-color: rgba(0, 0, 0, 0.9);
    }
    .menu ul a {
      font-size: 1.5em;
      height: 70px;
      font-family: poppins;
      color: rgba(255, 255, 255, 0.8);
    }

    .menu_opener {
      display: block;
    }
    .menu_closer {
      display: none;
    }
    .menu li a:hover,
    .menu .active a,
    .drop a .active1 {
      color: rgb(255, 255, 255);
      font-weight: 600;
    }
    .drop a div {
      display: flex;
      justify-content: left;
    }
    .icon {
      background-color: transparent;
    }
    .open {
      display: block;
    }
    .drop {
      display: block;
      background-color: rgba(0, 0, 0, 0.9);
    }

    .drop-hover {
      position: relative;
      margin-left: 10px;
    }
    .setaBaixo {
      position: absolute;
      background-image: url(../img/caret-down-fill-white.webp);
      width: 10px;
      height: 7px;
      top: -15px;
      right: -30px;
      background-size: contain; /* Garante que a imagem caiba no espaço */
      background-repeat: no-repeat;
    }

    .active .setaBaixo {
      background-image: url(../img/caret-down-fill-black.webp);
    }

    .drop-hover a {
      padding-right: 35px;
    }
    .setaBaixo {
      position: relative;
      width: 100px;
      margin-top: 30px;
      margin-left: -20px;
    }

    .drop-hover .drop {
      position: absolute;
      overflow: hidden;
      right: -1px;
      padding-right: 5px;
      width: 250px;
    }
    .drop-hover .drop a {
      margin-top: -40px;
      margin-bottom: -60px;
      /* background-color: rgba(0, 0, 0, 0.85); */
      padding: 25px;
      height: 135px;
    }
    .drop-hover:hover .drop {
      height: 200px;
      line-height: 100px;
      transition: 0.5s;
    }
  }

  .botaoPrimario {
    margin-top: 5px;
    margin-left: -2px;
    border-radius: 4px;
    padding: 8px 16px;
    font-size: 1.2em;
  }

  .slide {
    flex-wrap: wrap;
    padding: 0;
    align-items: end;

    .produtos {
      margin-bottom: 10vw;
      margin-left: 5vw;
      img {
        width: 48vw;
        margin-top: -100vw;
      }
    }

    .conteudo {
      width: 100%;
      margin: -60px 5% 0px;
      flex: auto;
      order: -1;
      margin-top: -1200px;
      h2 {
        font-size: 16vw;
      }

      p {
        width: 100%;
        font-size: 1.4em;
      }
      .textoSlide {
        display: none;
      }
      .textoSlide-mob {
        display: flex;
      }
    }
  }
  .navSlides {
    position: absolute;
    left: 58%;
    top: 40%;
    display: flex;
    width: 37.8%;
    justify-content: space-between;
    align-items: end;
    z-index: 9;

    .botoesNav {
      display: flex;
      margin-right: -10px;
      gap: 16px;
    }
    .botoesNav1 {
      display: none;
    }
  }

  .slide:nth-child(2) {
    h2 {
      font-size: 11vw;
    }
  }

  .slide:nth-child(3) {
    h2 {
      font-size: 18vw;
    }
  }

  .slide:nth-child(4) {
    h2 {
      font-size: 10.9vw;
    }
  }

  .etapa .card {
    width: 70%;
    padding: 4vw;

    .iconeCard {
      width: 12vw;
    }

    .seta {
      width: 10vw;
    }

    p {
      font-size: 4.7vw; /* AUMENTEI DE 3.7 PARA 4.7 PARA FICAR UM TEXTO UM POUCO MAIOR */
    }
  }

  .etapa .lataEtapa {
    width: 25vw;
    margin-top: -30%;
  }

  .linhaVetorial svg {
    top: 10%;
    left: -20%;
    width: 135vw;
  }

  .secao3 {
    padding: 16% 0 0;

    h2 {
      font-size: 6.5vw;
    }

    .botaoSecao3 {
      flex-direction: column;
      gap: 4px;
      margin-top: 12px;
      img {
        position: relative;
        left: auto;
        transform: rotate(150deg);
        width: 10vw;
      }

      .botaoPrimario {
        margin: auto;
      }
    }

    .lalapepper img {
      gap: 2vw;
      margin-top: -10vw;
      margin-bottom: 10vw;
      img {
        width: 102vw;
      }
      h3 {
        font-size: 3vw;
      }
      p {
        font-size: 2.2vw;
      }
    }
  }
  .botoes--footer {
    margin: 0px 15px;
  }
  .botoes--footer span {
    position: absolute;
    text-align: center;
    margin-top: -10vw;
    margin-bottom: 10vw;
    font-size: 1.5em;
    margin-left: -20px;
  }

  .etapa {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    z-index: 9;
    gap: 4vw;

    img {
      width: 12vw;
    }

    .card {
      display: flex;
      flex-direction: column;
      position: relative;
      background-color: #91b900;
      width: 50%;
      border-radius: 4vw;
      padding: 1vw 2vw 3vw;
      margin-bottom: 5vw;

      .seta1 {
        position: absolute;
        width: 47vw;
        opacity: 0.7;
        right: -25%;
        top: -120%;
      }
      .seta2 {
        position: absolute;
        width: 22vw;
        opacity: 0.7;
        right: -10%;
        top: -50%;
      }
      .seta3 {
        position: absolute;
        width: 22vw;
        opacity: 0.7;
        right: 48%;
        top: -65%;
        transform: rotate(-8deg);
      }
      .seta4 {
        position: absolute;
        width: 29vw;
        opacity: 0.7;
        right: 2%;
        top: -100%;
        transform: rotate(10deg);
      }
    }
  }
  .p_pc {
    display: none;
  }
  .p_mob {
    display: flex;
  }
  .tituloSlide {
    overflow: hidden;
    margin-top: 20px;
  }
}

@media (min-width: 500px) and (max-width: 950px) {
  header {
    padding: 1%;
  }
  .menu ul {
    flex-direction: column;
    position: absolute;
    margin-right: -150px;
    width: 200px;
    background-color: rgba(0, 0, 0, 0.9);
  }

  .slides {
    width: 100%;
    height: 300vh;
    overflow: hidden;
    display: flex;
    position: relative;
    margin-top: -100px;
  }
  .slide {
    flex-wrap: wrap;
    padding: 0;
    align-items: end;

    .produtos {
      margin-bottom: 10vw;
      margin-left: 12vw;
      img {
        width: 38vw;
        margin-top: -80vw;
      }
    }

    .conteudo {
      width: 100%;
      margin: -60px 5% 0px;
      flex: auto;
      order: -1;
      margin-top: -1200px;
      h2 {
        font-size: 16vw;
      }

      p {
        width: 100%;
        font-size: 1.4em;
      }
      .textoSlide {
        display: none;
      }
      .textoSlide-mob {
        display: flex;
      }
    }
  }
  .tituloSlide {
    overflow: hidden;
    margin-top: -43vw;
  }
  .navSlides {
    position: absolute;
    left: 78%;
    top: 28%;
    display: flex;
    width: 37.8%;
    justify-content: space-between;
    align-items: end;
    z-index: 9;
    padding-top: 40px;

    .botoesNav {
      display: flex;
      margin-right: -10px;
      gap: 16px;
    }
    .botoesNav1 {
      display: none;
    }
  }
}
/* FOOTER */
@media (min-width: 951px) {
  .secao3 p {
    margin-top: -40px;
  }
}

/* NOVO BOTÃO WHATSAPP */

#div-fixa {
  position: fixed;
  right: 5px;
  bottom: 20px;
  margin: 0 20px;
  background: rgb(95, 245, 122);
  /* width: 220px; */
  border-radius: 50px;
  cursor: pointer;
  transition: 0.5s all;
  z-index: 12;
}

#div-fixa.shrink {
  width: 50px;
  transition: 0.5s all;
  overflow: hidden;
}

#div-fixa img {
  width: 50px;
  height: 50px;
}

#div-fixa a .flex-itens {
  display: flex;
  align-items: center;
  justify-content: center;
}

#div-fixa a .flex-itens span {
  display: block;
  font-family: Arial, Helvetica, sans-serif;
  font-weight: bold;
  color: #040305;
  font-size: 18px;
  min-width: 170px;
  margin-left: -2px;
  opacity: 0;
}

#div-fixa a .flex-itens span.aparecer {
  transition: 0.5s all;
  opacity: 1;
}
.flutuar {
  animation-name: flutuar;
  animation-duration: 0.7s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
}

@keyframes flutuar {
  from {
    transform: translate3d(0, 0, 0);
    filter: brightness(100%);
  }
  to {
    transform: translate3d(0, -15px, 0);
    filter: brightness(100%); /* TIREI O BRILHO QUE ESTAVA EM 150% */
  }
}

@font-face {
  font-family: "LT Energy";
  src: url("assets/fonts/LTENERGY.woff2");
}
